/*
 * Խػ! - ΥեGladeˤäƤޤ.
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <string.h>

#include <gdk/gdkkeysyms.h>
#include <gtk/gtk.h>

#include "callbacks.h"
#include "interface.h"
#include "support.h"

GtkWidget*
create_mainWindow (void)
{
  GtkWidget *mainWindow;
  GtkWidget *vbox1;
  GtkWidget *label1;
  GtkWidget *scrolledwindow1;
  GtkWidget *themeList;
  GtkWidget *label2;
  GtkWidget *hbuttonbox1;
  GtkWidget *changeButton;
  GtkWidget *exitButton;

  mainWindow = gtk_window_new (GTK_WINDOW_TOPLEVEL);
  gtk_object_set_data (GTK_OBJECT (mainWindow), "mainWindow", mainWindow);
  gtk_window_set_title (GTK_WINDOW (mainWindow), _("sgswtheme"));

  vbox1 = gtk_vbox_new (FALSE, 0);
  gtk_widget_ref (vbox1);
  gtk_object_set_data_full (GTK_OBJECT (mainWindow), "vbox1", vbox1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (vbox1);
  gtk_container_add (GTK_CONTAINER (mainWindow), vbox1);

  label1 = gtk_label_new (_("Sikigami Theme Swithcer"));
  gtk_widget_ref (label1);
  gtk_object_set_data_full (GTK_OBJECT (mainWindow), "label1", label1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label1);
  gtk_box_pack_start (GTK_BOX (vbox1), label1, FALSE, FALSE, 0);

  scrolledwindow1 = gtk_scrolled_window_new (NULL, NULL);
  gtk_widget_ref (scrolledwindow1);
  gtk_object_set_data_full (GTK_OBJECT (mainWindow), "scrolledwindow1", scrolledwindow1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (scrolledwindow1);
  gtk_box_pack_start (GTK_BOX (vbox1), scrolledwindow1, TRUE, TRUE, 0);

  themeList = gtk_clist_new (1);
  gtk_widget_ref (themeList);
  gtk_object_set_data_full (GTK_OBJECT (mainWindow), "themeList", themeList,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (themeList);
  gtk_container_add (GTK_CONTAINER (scrolledwindow1), themeList);
  gtk_clist_set_column_width (GTK_CLIST (themeList), 0, 80);
  gtk_clist_column_titles_show (GTK_CLIST (themeList));

  label2 = gtk_label_new (_("Themes"));
  gtk_widget_ref (label2);
  gtk_object_set_data_full (GTK_OBJECT (mainWindow), "label2", label2,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label2);
  gtk_clist_set_column_widget (GTK_CLIST (themeList), 0, label2);

  hbuttonbox1 = gtk_hbutton_box_new ();
  gtk_widget_ref (hbuttonbox1);
  gtk_object_set_data_full (GTK_OBJECT (mainWindow), "hbuttonbox1", hbuttonbox1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (hbuttonbox1);
  gtk_box_pack_start (GTK_BOX (vbox1), hbuttonbox1, FALSE, FALSE, 0);

  changeButton = gtk_button_new_with_label (_("CHANGE"));
  gtk_widget_ref (changeButton);
  gtk_object_set_data_full (GTK_OBJECT (mainWindow), "changeButton", changeButton,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (changeButton);
  gtk_container_add (GTK_CONTAINER (hbuttonbox1), changeButton);
  GTK_WIDGET_SET_FLAGS (changeButton, GTK_CAN_DEFAULT);

  exitButton = gtk_button_new_with_label (_("EXIT"));
  gtk_widget_ref (exitButton);
  gtk_object_set_data_full (GTK_OBJECT (mainWindow), "exitButton", exitButton,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (exitButton);
  gtk_container_add (GTK_CONTAINER (hbuttonbox1), exitButton);
  GTK_WIDGET_SET_FLAGS (exitButton, GTK_CAN_DEFAULT);

  gtk_signal_connect (GTK_OBJECT (changeButton), "clicked",
                      GTK_SIGNAL_FUNC (on_changeButton_clicked),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (exitButton), "clicked",
                      GTK_SIGNAL_FUNC (on_exitButton_clicked),
                      NULL);

  return mainWindow;
}

